<?php

namespace Drupal\pm_carousel_tobii\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\pm_carousel\Plugin\Field\FieldFormatter\PmCarouselContainerFormatter;

/**
 * Plugin implementation of the 'pm_carousel_tobii_media_container' formatter.
 */
#[FieldFormatter(
  id: 'pm_carousel_tobii_media_container',
  label: new TranslatableMarkup('PM Carousel in Tobii container'),
  field_types: [
    'entity_reference',
  ],
)]
class PmCarouselTobiiMediaContainerFormatter extends PmCarouselContainerFormatter {

  /**
   * {@inheritDoc}
   */
  public function viewElements(FieldItemListInterface $items, mixed $langcode): array {
    $elements = parent::viewElements($items, $langcode);
    $container_id = $items->getEntity()->id();
    $elements['#prefix'] = '<div data-lightbox-container="' . $container_id . '">';
    $elements['#suffix'] = '</div>';
    $elements['#attached']['library'][] = 'lightbox_tobii/tobii';
    return $elements;
  }

}
